Update column

PATCH
https://example.kaiten.ru/api/latest/boards/{board_id}/columns/{id}

⚠️ Starting late August, /api/column and column schemas will only use card_hide_after_days. The months_to_hide_cards attribute is deprecated and will be removed — update your code to use card_hide_after_days only.

Path parameters
NameTypeReference
board_idrequiredintegerBoard ID
idrequiredintegerColumn ID
Headers
NameValue
Content-Typeapplication/json
Attributes
schema
NameTypeConstraintsDescription
title
string
minLength: 0
maxLength: 128

Title

sort_order
number
exclusiveMinimum: 0

Position

type
enum
[1,2,3]

1 - queue, 2 – in progress, 3 – done

wip_limit
integer

Work in progress recommended limit for column

null

Empty work in progress recommended limit for column

wip_limit_type
enum
[1,2]

1 – card's count, 2 – card's size

last_moved_warning_after_days
integer

Warning appears on stale cards

last_moved_warning_after_hours
integer

Warning appears on stale cards

last_moved_warning_after_minutes
integer

Warning appears on stale cards

col_count
integer

Width

archive_after_days
integer

Specify amount of days after which cards will be automatically archived. Works only for columns with type **done**

months_to_hide_cards
integer | null

[Deprecated] Hide cards not moved for the last N months

card_hide_after_days
integer | null

Hide cards not moved for the last N days

rules
integer
minimum: 0

Bit mask for column rules. Rules: 1 - checklists must be checked, 2 - display FIFO order

default_tags
string | null

Default tags

prev_column_id
integer

Column ID to move column before

null

Indicates that column should be moved to the beginning

next_column_id
integer

Column ID to move column after

null

Indicates that column should be moved to the end

pause_sla
boolean
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
updated

string

Last update timestamp
created

string

Create date
id

integer

Column id
title

string

Column title
sort_order

number

Position
col_count

integer

Width
wip_limit

integer

Recommended limit for column
type

enum

1 - queue, 2 – in progress, 3 – done
rules

integer

Bit mask for column rules. Rules: 1 - checklists must be checked, 2 - display FIFO order
board_id

integer

Board id
column_id

null

Parent column id
archive_after_days

integer

Specify amont of days after which cards will be automatically archived. Works only for columns with type **done**
wip_limit_type

enum

1 – card's count, 2 – card's size
external_id

null | string

External id
default_tags

string

Default tags
last_moved_warning_after_days

integer

Warning appears on stale cards
last_moved_warning_after_hours

integer

Warning appears on stale cards
last_moved_warning_after_minutes

integer

Warning appears on stale cards
months_to_hide_cards

null | integer

[Deprecated] Hide cards not moved for the last N months
card_hide_after_days

null | integer

Hide cards not moved for the last N days
400
DescriptionResponse typeExample
Validation errorObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

402
DescriptionResponse typeExample
Feature is not supported by tariffObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request PATCH \
  2       --url 'https://example.kaiten.ru/api/latest/boards/{board_id}/columns/{id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!